PropertyHolder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Interface PropertyHolder

All Known Implementing Classes:
  AbstractPropertyHolder, ClassPropertyHolder, CollectionPropertyHolder, ComponentPropertyHolder

    public interface PropertyHolder

Property holder abstract property containers from their direct implementation

Method Summary
`Join` | `addJoin(JoinTable joinTableAnn, boolean noDelayInPkColumnCreation)`
`void` | `addProperty(Property prop, Ejb3Column[] columns, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`void` | `addProperty(Property prop, org.hibernate.annotations.common.reflection.XClass declaringClass)`
`String` | `getClassName()`
`String` | `getEntityName()`
`String` | `getEntityOwnerClassName()`
`KeyValue` | `getIdentifier()`
`JoinTable` | `getJoinTable(org.hibernate.annotations.common.reflection.XProperty property)` return - null if no join table is present, - the join table if not overridden, - the overridden join table otherwise
`Column[]` | `getOverriddenColumn(String propertyName)` return null if the column is not overridden, or an array of column if true
`JoinColumn[]` | `getOverriddenJoinColumn(String propertyName)` return null if the column is not overridden, or an array of column if true
`String` | `getPath()`
`PersistentClass` | `getPersistentClass()`
`Table` | `getTable()`
`boolean` | `isComponent()`
`boolean` | `isEntity()`
`boolean` | `isInIdClass()`
`boolean` | `isOrWithinEmbeddedId()` Return true if this component is or is embedded in a @EmbeddedId
`void` | `setInIdClass(Boolean isInIdClass)`
`void` | `setParentProperty(String parentProperty)`

Method Detail

### getClassName

    String getClassName()

### getEntityOwnerClassName

    String getEntityOwnerClassName()

### getTable

    Table getTable()

### addProperty

    void addProperty(Property prop,
                     org.hibernate.annotations.common.reflection.XClass declaringClass)

### addProperty

    void addProperty(Property prop,
                     Ejb3Column[] columns,
                     org.hibernate.annotations.common.reflection.XClass declaringClass)

### getIdentifier

    KeyValue getIdentifier()

### isOrWithinEmbeddedId

    boolean isOrWithinEmbeddedId()

  Return true if this component is or is embedded in a @EmbeddedId

### getPersistentClass

    PersistentClass getPersistentClass()

### isComponent

    boolean isComponent()

### isEntity

    boolean isEntity()

### setParentProperty

    void setParentProperty(String parentProperty)

### getPath

    String getPath()

### getOverriddenColumn

    Column[] getOverriddenColumn(String propertyName)

  return null if the column is not overridden, or an array of column if true

### getOverriddenJoinColumn

    JoinColumn[] getOverriddenJoinColumn(String propertyName)

  return null if the column is not overridden, or an array of column if true

### getJoinTable

    JoinTable getJoinTable(org.hibernate.annotations.common.reflection.XProperty property)

  return - null if no join table is present, - the join table if not overridden, - the overridden join table otherwise

### getEntityName

    String getEntityName()

### addJoin

    Join addJoin(JoinTable joinTableAnn,
                 boolean noDelayInPkColumnCreation)

### isInIdClass

    boolean isInIdClass()

### setInIdClass

    void setInIdClass(Boolean isInIdClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.